DECLARE @Asi_Tipo_Apertura	INT
DECLARE @Asi_Tipo_Cierre	INT
SET @Asi_Tipo_Apertura = ISNULL((SELECT Valor_Integer From xParametros Where IdParametro='Asi_Tipo_Apertura'),0)
SET @Asi_Tipo_Cierre = ISNULL((SELECT Valor_Integer From xParametros Where IdParametro='Asi_Tipo_Cierre'),0)

UPDATE Asientos_Tipos SET Posicion=1 WHERE Id_Tipo_Asi NOT IN ( @Asi_Tipo_Apertura,0) 
UPDATE Asientos_Tipos SET Posicion=9 WHERE Descripcion Like '%Refundicion%'
UPDATE Asientos_Tipos SET Posicion=10 WHERE Id_Tipo_Asi IN (@Asi_Tipo_Cierre)

SELECT * FROM Asientos_Tipos